import json
import unittest

import requests


def print_json_pretty(obj):
    print(json.dumps(obj, indent=4, ensure_ascii=False))


def print_json_plain(obj):
    print(json.dumps(obj, ensure_ascii=False))


def req(user_id, product, effect):
    base_url = 'https://escrow.gateway.k8s-nb.intra.mlamp.cn/92pq4p3461/api/hao_rec/inner/bot'
    params = {"user_id": user_id, "product": product, "effect": effect}
    res = requests.get(base_url, params=params)

    print_json_plain(params)
    print_json_pretty(res.json())


class MyTest(unittest.TestCase):
    # 测试价格
    def test1(self):
        req(1, '眼霜', '贵')
        req(1, '眼霜', '便宜')

    # 测试死锁
    def test2(self):
        req(1, '粉底液', '祛痘')
        req(1, '眼霜', '修护')

    # 测试兜底策略
    def test3(self):
        req(1, '', '')
